#include <iostream>
using namespace std;
int main()
{
int b,p,n,a,lmi=0,z=0,md=100001;
cin>>n;
cin>>p;
for(int i=1;i<n;i++)
{
    cin>>a;
    if(p>a and z){
        z=0;
        if(lmi==0){lmi=i;}
        else{
        if(md>i-lmi-1){md=i-lmi-1;lmi=i;}
        }
    }
    if(a>p)z=1;
    p=a;
    if(a==0)break;


}
cout<<md<<endl;
    return 0;
}
